Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlScrollableDataTable

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.richfaces.component.UIScrollableDataTable
                          org.richfaces.component.html.HtmlScrollableDataTable

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.ScriptExportable, org.richfaces.component.Selectable, org.richfaces.component.Sortable

    public class HtmlScrollableDataTable

extends UIScrollableDataTable

Component-Type org.richfaces.component.ScrollableDataTable Component-Family org.richfaces.component.ScrollableDataTable Renderer-Type org.richfaces.renderkit.html.ScrollableDataTableRenderer Scrollable Data Table

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIScrollableDataTable
`SORT_MULTI, SORT_SINGLE`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlScrollableDataTable()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getActiveClass()` A CSS class to be applied to an active row Getter for activeClass
`java.lang.String` | `getCaptionClass()` Space-separated list of CSS style class(es) that are be applied to caption for this component Getter for captionClass
`java.lang.String` | `getColumnClasses()` Comma-delimited list of CSS style classes that are be applied to the columns of this table.
`java.lang.Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`java.lang.String` | `getFooterClass()` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Getter for footerClass
`int` | `getFrozenColCount()` Defines the number of the fixed columns from the left side that will not be scrolled via horizontal scroll.
`java.lang.String` | `getHeaderClass()` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Getter for headerClass
`java.lang.String` | `getHeight()` Defines a height of the component.
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`java.lang.String` | `getOnRowClick()` HTML: a script expression; a pointer button is clicked on row Getter for onRowClick
`java.lang.String` | `getOnRowDblClick()` HTML: a script expression; a pointer button is double-clicked on row Getter for onRowDblClick
`java.lang.String` | `getOnRowMouseDown()` HTML: script expression; a pointer button is pressed down on row Getter for onRowMouseDown
`java.lang.String` | `getOnRowMouseUp()` HTML: script expression; a pointer button is released on row Getter for onRowMouseUp
`java.lang.String` | `getOnselectionchange()` HTML: script expression to invoke on changing of rows selection Getter for onselectionchange
`int` | `getRequestDelay()` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`java.lang.Object` | `getReRender()` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`java.lang.String` | `getRowClasses()` A comma-delimited list of CSS style classes that is applied to popup table rows.
`java.lang.String` | `getScriptVar()` Name of JavaScript variable corresponding to component Getter for scriptVar
`java.lang.String` | `getSelectedClass()` Name of the CSS class for a selected row Getter for selectedClass
`org.richfaces.model.selection.Selection` | `getSelection()` Value binding representing selected rows Getter for selection
`java.lang.String` | `getSortMode()` Defines mode of sorting.
`org.richfaces.model.SortOrder` | `getSortOrder()` ValueBinding pointing at a property of a class to manage rows sorting Getter for sortOrder
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`int` | `getTimeout()` Response waiting time on a particular request.
`java.lang.String` | `getWidth()` Defines a width of the component.
`boolean` | `isAjaxSingle()` if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isHideWhenScrolling()` If 'true' data will be hidden during scrolling.
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setActiveClass(java.lang.String __activeClass)` A CSS class to be applied to an active row Setter for activeClass
`void` | `setAjaxSingle(boolean __ajaxSingle)` if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setCaptionClass(java.lang.String __captionClass)` Space-separated list of CSS style class(es) that are be applied to caption for this component Setter for captionClass
`void` | `setColumnClasses(java.lang.String __columnClasses)` Comma-delimited list of CSS style classes that are be applied to the columns of this table.
`void` | `setData(java.lang.Object __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setFooterClass(java.lang.String __footerClass)` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
`void` | `setFrozenColCount(int __frozenColCount)` Defines the number of the fixed columns from the left side that will not be scrolled via horizontal scroll.
`void` | `setHeaderClass(java.lang.String __headerClass)` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
`void` | `setHeight(java.lang.String __height)` Defines a height of the component.
`void` | `setHideWhenScrolling(boolean __hideWhenScrolling)` If 'true' data will be hidden during scrolling.
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setOnRowClick(java.lang.String __onRowClick)` HTML: a script expression; a pointer button is clicked on row Setter for onRowClick
`void` | `setOnRowDblClick(java.lang.String __onRowDblClick)` HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick
`void` | `setOnRowMouseDown(java.lang.String __onRowMouseDown)` HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown
`void` | `setOnRowMouseUp(java.lang.String __onRowMouseUp)` HTML: script expression; a pointer button is released on row Setter for onRowMouseUp
`void` | `setOnselectionchange(java.lang.String __onselectionchange)` HTML: script expression to invoke on changing of rows selection Setter for onselectionchange
`void` | `setRequestDelay(int __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setReRender(java.lang.Object __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setRowClasses(java.lang.String __rowClasses)` A comma-delimited list of CSS style classes that is applied to popup table rows.
`void` | `setScriptVar(java.lang.String __scriptVar)` Name of JavaScript variable corresponding to component Setter for scriptVar
`void` | `setSelectedClass(java.lang.String __selectedClass)` Name of the CSS class for a selected row Setter for selectedClass
`void` | `setSelection(org.richfaces.model.selection.Selection __selection)` Value binding representing selected rows Setter for selection
`void` | `setSortMode(java.lang.String __sortMode)` Defines mode of sorting.
`void` | `setSortOrder(org.richfaces.model.SortOrder __sortOrder)` ValueBinding pointing at a property of a class to manage rows sorting Setter for sortOrder
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setTimeout(int __timeout)` Response waiting time on a particular request.
`void` | `setWidth(java.lang.String __width)` Defines a width of the component.

Methods inherited from class org.richfaces.component.UIScrollableDataTable
`broadcast, broadcastLocal, createComponentState, createDataModel, dataChildren, encodeBegin, encodeEnd, fixedChildren, getResponseData, getScrollPos, getSortListener, isCacheable, processDecodes, processScrolling, processSortingChange, processUpdates, processValidators, queueEvent, setResponseData, setRowIndex, setScrollPos, setSortListener, walk`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addRequestKey, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyVar, getStateVar, getValue, isRowAvailable, iterate, processDecodes, processUpdates, processValidators, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowKey, setRowKey, setRowKeyVar, setStateVar, setupVariable, setValue`

Methods inherited from class javax.faces.component.UIData
`getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlScrollableDataTable

    public HtmlScrollableDataTable()

  Constructor to init default renderers

Method Detail

### setActiveClass

    public void setActiveClass(java.lang.String __activeClass)

  A CSS class to be applied to an active row Setter for activeClass

  Parameters:
    `activeClass` - - new value

### getActiveClass

    public java.lang.String getActiveClass()

  A CSS class to be applied to an active row Getter for activeClass

  Returns:
    activeClass value from local variable or value bindings

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  if "true", submits ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  if "true", submits ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Returns:
    ajaxSingle value from local variable or value bindings

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Getter for bypassUpdates

  Returns:
    bypassUpdates value from local variable or value bindings

### setCaptionClass

    public void setCaptionClass(java.lang.String __captionClass)

  Space-separated list of CSS style class(es) that are be applied to caption for this component Setter for captionClass

  Parameters:
    `captionClass` - - new value

### getCaptionClass

    public java.lang.String getCaptionClass()

  Space-separated list of CSS style class(es) that are be applied to caption for this component Getter for captionClass

  Returns:
    captionClass value from local variable or value bindings

### setColumnClasses

    public void setColumnClasses(java.lang.String __columnClasses)

  Comma-delimited list of CSS style classes that are be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of columns specified in the "columns" attribute, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of columns specified in the "columns" attribute, the elements at the position in the list after the value of the "columns" attribute are ignored Setter for columnClasses

  Parameters:
    `columnClasses` - - new value

### getColumnClasses

    public java.lang.String getColumnClasses()

  Comma-delimited list of CSS style classes that are be applied to the columns of this table. A space separated list of classes may also be specified for any individual column. If the number of elements in this list is less than the number of columns specified in the "columns" attribute, no "class" attribute is output for each column greater than the number of elements in the list. If the number of elements in the list is greater than the number of columns specified in the "columns" attribute, the elements at the position in the list after the value of the "columns" attribute are ignored Getter for columnClasses

  Returns:
    columnClasses value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Getter for data

  Returns:
    data value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Getter for eventsQueue

  Returns:
    eventsQueue value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Returns:
    focus value from local variable or value bindings

### setFooterClass

    public void setFooterClass(java.lang.String __footerClass)

  Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass

  Parameters:
    `footerClass` - - new value

### getFooterClass

    public java.lang.String getFooterClass()

  Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Getter for footerClass

  Returns:
    footerClass value from local variable or value bindings

### setFrozenColCount

    public void setFrozenColCount(int __frozenColCount)

  Defines the number of the fixed columns from the left side that will not be scrolled via horizontal scroll. Default value is '0' Setter for frozenColCount

  Parameters:
    `frozenColCount` - - new value

### getFrozenColCount

    public int getFrozenColCount()

  Defines the number of the fixed columns from the left side that will not be scrolled via horizontal scroll. Default value is '0' Getter for frozenColCount

  Returns:
    frozenColCount value from local variable or value bindings

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

  Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass

  Parameters:
    `headerClass` - - new value

### getHeaderClass

    public java.lang.String getHeaderClass()

  Space-separated list of CSS style class(es) that are be applied to any header generated for this table Getter for headerClass

  Returns:
    headerClass value from local variable or value bindings

### setHeight

    public void setHeight(java.lang.String __height)

  Defines a height of the component. Default value is 500px Setter for height

  Parameters:
    `height` - - new value

### getHeight

    public java.lang.String getHeight()

  Defines a height of the component. Default value is 500px Getter for height

  Returns:
    height value from local variable or value bindings

### setHideWhenScrolling

    public void setHideWhenScrolling(boolean __hideWhenScrolling)

  If 'true' data will be hidden during scrolling. Can be used for increase performance. Default value is 'false' Setter for hideWhenScrolling

  Parameters:
    `hideWhenScrolling` - - new value

### isHideWhenScrolling

    public boolean isHideWhenScrolling()

  If 'true' data will be hidden during scrolling. Can be used for increase performance. Default value is 'false' Getter for hideWhenScrolling

  Returns:
    hideWhenScrolling value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses

  Returns:
    ignoreDupResponses value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Getter for limitToList

  Returns:
    limitToList value from local variable or value bindings

### setOnRowClick

    public void setOnRowClick(java.lang.String __onRowClick)

  HTML: a script expression; a pointer button is clicked on row Setter for onRowClick

  Parameters:
    `onRowClick` - - new value

### getOnRowClick

    public java.lang.String getOnRowClick()

  HTML: a script expression; a pointer button is clicked on row Getter for onRowClick

  Returns:
    onRowClick value from local variable or value bindings

### setOnRowDblClick

    public void setOnRowDblClick(java.lang.String __onRowDblClick)

  HTML: a script expression; a pointer button is double-clicked on row Setter for onRowDblClick

  Parameters:
    `onRowDblClick` - - new value

### getOnRowDblClick

    public java.lang.String getOnRowDblClick()

  HTML: a script expression; a pointer button is double-clicked on row Getter for onRowDblClick

  Returns:
    onRowDblClick value from local variable or value bindings

### setOnRowMouseDown

    public void setOnRowMouseDown(java.lang.String __onRowMouseDown)

  HTML: script expression; a pointer button is pressed down on row Setter for onRowMouseDown

  Parameters:
    `onRowMouseDown` - - new value

### getOnRowMouseDown

    public java.lang.String getOnRowMouseDown()

  HTML: script expression; a pointer button is pressed down on row Getter for onRowMouseDown

  Returns:
    onRowMouseDown value from local variable or value bindings

### setOnRowMouseUp

    public void setOnRowMouseUp(java.lang.String __onRowMouseUp)

  HTML: script expression; a pointer button is released on row Setter for onRowMouseUp

  Parameters:
    `onRowMouseUp` - - new value

### getOnRowMouseUp

    public java.lang.String getOnRowMouseUp()

  HTML: script expression; a pointer button is released on row Getter for onRowMouseUp

  Returns:
    onRowMouseUp value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Returns:
    oncomplete value from local variable or value bindings

### setOnselectionchange

    public void setOnselectionchange(java.lang.String __onselectionchange)

  HTML: script expression to invoke on changing of rows selection Setter for onselectionchange

  Parameters:
    `onselectionchange` - - new value

### getOnselectionchange

    public java.lang.String getOnselectionchange()

  HTML: script expression to invoke on changing of rows selection Getter for onselectionchange

  Returns:
    onselectionchange value from local variable or value bindings

### setReRender

    public void setReRender(java.lang.Object __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### getReRender

    public java.lang.Object getReRender()

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Getter for reRender

  Returns:
    reRender value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Getter for requestDelay

  Returns:
    requestDelay value from local variable or value bindings

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

  A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Setter for rowClasses

  Parameters:
    `rowClasses` - - new value

### getRowClasses

    public java.lang.String getRowClasses()

  A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Getter for rowClasses

  Returns:
    rowClasses value from local variable or value bindings

### setScriptVar

    public void setScriptVar(java.lang.String __scriptVar)

  Name of JavaScript variable corresponding to component Setter for scriptVar

  Parameters:
    `scriptVar` - - new value

### getScriptVar

    public java.lang.String getScriptVar()

  Name of JavaScript variable corresponding to component Getter for scriptVar

  Returns:
    scriptVar value from local variable or value bindings

### setSelectedClass

    public void setSelectedClass(java.lang.String __selectedClass)

  Name of the CSS class for a selected row Setter for selectedClass

  Parameters:
    `selectedClass` - - new value

### getSelectedClass

    public java.lang.String getSelectedClass()

  Name of the CSS class for a selected row Getter for selectedClass

  Returns:
    selectedClass value from local variable or value bindings

### setSelection

    public void setSelection(org.richfaces.model.selection.Selection __selection)

  Value binding representing selected rows Setter for selection

  Parameters:
    `selection` - - new value

### getSelection

    public org.richfaces.model.selection.Selection getSelection()

  Value binding representing selected rows Getter for selection

  Returns:
    selection value from local variable or value bindings

### setSortMode

    public void setSortMode(java.lang.String __sortMode)

  Defines mode of sorting. Possible values are 'single' for sorting of one column and 'multi' for some. Setter for sortMode

  Specified by:
    `setSortMode` in class `UIScrollableDataTable`
  Parameters:
    `sortMode` - - new value

### getSortMode

    public java.lang.String getSortMode()

  Defines mode of sorting. Possible values are 'single' for sorting of one column and 'multi' for some. Getter for sortMode

  Specified by:
    `getSortMode` in class `UIScrollableDataTable`
  Returns:
    sortMode value from local variable or value bindings

### setSortOrder

    public void setSortOrder(org.richfaces.model.SortOrder __sortOrder)

  ValueBinding pointing at a property of a class to manage rows sorting Setter for sortOrder

  Specified by:
    `setSortOrder` in interface `org.richfaces.component.Sortable`
  Specified by:
    `setSortOrder` in class `UIScrollableDataTable`
  Parameters:
    `sortOrder` - - new value

### getSortOrder

    public org.richfaces.model.SortOrder getSortOrder()

  ValueBinding pointing at a property of a class to manage rows sorting Getter for sortOrder

  Specified by:
    `getSortOrder` in interface `org.richfaces.component.Sortable`
  Specified by:
    `getSortOrder` in class `UIScrollableDataTable`
  Returns:
    sortOrder value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Returns:
    status value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout

  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Getter for timeout

  Returns:
    timeout value from local variable or value bindings

### setWidth

    public void setWidth(java.lang.String __width)

  Defines a width of the component. Default value is 700px Setter for width

  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  Defines a width of the component. Default value is 700px Getter for width

  Returns:
    width value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `UIScrollableDataTable`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `UIScrollableDataTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.